Subject: bug#24832: Hydra generates faulty derivation for gettext-boot0

From: Mark H Weaver <[email-masked]>
Date: Mon, 31 Oct 2016 01:58:54 -0400

Mark H Weaver <[email-masked]> writes:

> Almost all of the derivations being generated on Hydra for MIPS on the
> 'core-updates' branch differ from what is generated locally by guix on a
> mips64el-linux machine.  The differences go at least as far back as
> 'gettext-boot0', where Hydra generates:
>
>   /gnu/store/yzsx42kva1pgj96n9yir7j6xx0ndp7is-gettext-boot0-0.19.8.1.drv
>
> but 'guix' on both my Yeeloong and on hydra-slave0 generates:
>
>   /gnu/store/2zzkamx4a0wrv2372pxjm5kdd0jvnl76-gettext-boot0-0.19.8.1.drv
>
> Comparing those two derivations, I see that the derivation built by
> Hydra includes as an input:
>
>   /gnu/store/armz91zr59wzv0v0p3x9kvjxwzi714dx-ld-wrapper-x86_64-guix-linux-gnu-0.drv
>
> but the one generated by 'guix' on a mips machine includes:
>
>   /gnu/store/cc5bm6lhpv6bfny24akih86jsgzx8j82-ld-wrapper-mips64el-guix-linux-gnu-0.drv
>
> I guess this means that the entire 'core-updates' branch will need to be
> rebuilt from scratch for MIPS :-(

It turns out that this same problem exists on all systems except for
x86_64.  To easily see the problem, start from here:

  https://hydra.gnu.org/eval/109337?filter=mesa

and go to the build page for 'mesa-12.0.1' on any non-x86_64 system.
Look up the .drv file for that package and open the corresponding file
on Hydra.  Then find the 'bash-4.4.0' input derivation and look at it.
You'll see that it references:

  /gnu/store/*-ld-wrapper-x86_64-guix-linux-gnu-0.drv

where that 'x86_64' should instead match the appropriate system.

It appears that we'll need to rebuild all of 'core-updates' again from
scratch :-(

     Mark